## game-data-packager 18

=== debian/changelog ===
game-data-packager (18) unstable; urgency=low

  * Provides: doom-package.

 -- Jon Dowland <jon@alcopop.org>  Wed, 06 Aug 2008 19:30:33 +0100

game-data-packager (17) unstable; urgency=low

  [ Jon Dowland ]
  * add a generic game-package binary
  * rename (again) to game-package

  [ Eddy Petrișor ]
  * add missing Vcs-Svn headers

  [ Jon Dowland ]
  * add support for (ultimate) doom
  * remove make-wad-package and references to it
  * remove (unfinished; not working) quake3 support
  * Stop maintaining an "internal" .deb version for
    the slipstream files, and instead install the
    game-package changelog into the .debs that that
    are built.
  * adjust priorities of official IWADs to conform to
    the doom packaging guidelines
  * clean up the tempdir used by the slipstream functions
  * rename (again again) to game-data-packager
  * fix debug() method so it does nothing if DEBUG is undefined
  * generalize entirely the *-wad directories to doom-common

 -- Jon Dowland <jon@alcopop.org>  Fri, 18 Jul 2008 01:35:52 +0100

games-package (16) unstable; urgency=low

  * side-work to develop something for quake3
  * renamed to games-package
  * quake3-data support

 -- Jon Dowland <jon@alcopop.org>  Sun, 18 Mar 2007 17:33:01 +0000

doom-package (15) unstable; urgency=low

  * Initial upload. Closes: #280045,  #326813.
  * update comments in make-wad-package (thanks Ben Hutchings)
  * remove dummy md5sum and doom2.wad file from package
    (thanks Ben Hutchings)
  * auto-generate md5sums in the doom2-wad .deb on build
  * remove binutils dependency
  * use Build-Depends, not -Indep (thanks Ben Hutchings)
  * make-wad-package is a bash script (not sh, yet)
  * clarify copyright (GPL-2)
  * use fakeroot again (or doom2-wad will unpack with the wrong uid)
  * manually adjust perms in doom2-wad (unpacked source might be mangled)

 -- Jon Dowland <jon@alcopop.org>  Sun,  1 Oct 2006 21:07:31 +0100
 

doom-package (14) unstable; urgency=low

  * restructure internal package to use dpkg-deb
    rather than dpkg-buildpackage (similar to the
    internal work on make-wad-package)
  * ensure doom2-wad .deb is in section non-free
  * clarify copyright in doom2-wad

 -- Jon Dowland <jon@alcopop.org>  Sun,  1 Oct 2006 17:20:35 +0100

doom-package (13) unstable; urgency=low

  * big restructuring: use dpkg-deb a lot
  * calculate correct Installed-Size

 -- Jon Dowland <jon@alcopop.org>  Sat, 30 Sep 2006 19:06:28 +0100

doom-package (12) unstable; urgency=low

  * do not invoke dpkg, save deb in CWD instead
  * thus, do not check for or require root
  * quote a few more variables
  * change maintainer
  * update version of internal package
  * make BINDIR /usr/games

 -- Jon Dowland <jon@alcopop.org>  Sat, 30 Sep 2006 18:30:48 +0100

doom-package (11) unstable; urgency=low

  * fix "doom-data" in doom2-wad postinst

 -- Jon Dowland <jon@alcopop.org>  Thu, 29 Jun 2006 09:06:38 +0100

doom-package (10) unstable; urgency=low

  * do not use a zero-file to pad .deb for file-size reasons
  * update doom2-wad version in Makefile
  * a few further maintainer changes
  * fix references to "doom-data" in make-wad-package
  * put manpage in section 6 (in-line with other doom packages)
  * menu-entry: Games/Arcade (in-line with other doom packages)
  * parameterize (slightly) doom2-wad package version

 -- Jon Dowland <jon@alcopop.org>  Tue, 16 May 2006 22:15:37 +0100

doom-package (9) unstable; urgency=low

  * package renamed from doom-data to doom-package
  * updated maintainer field
  * moved to contrib

 -- Jon Dowland <jon@alcopop.org>  Tue,  3 Jan 2006 21:19:13 +0000

doom-data (8) unstable; urgency=low

  * reformat ./debian/copyright for line length. (thanks Stephen Quinney)
  * DH_COMPAT -> ./debian/compat; synchronize level (4) with Depends:
    (thanks Stephen Quinney)

 -- Jon Dowland <jon@dowland.name>  Wed, 14 Dec 2005 16:18:32 +0000

doom-data (7) unstable; urgency=low

  * we now provide the source to the doom2-wad deb and build it during the
    package's build stage
  * add a menu-entry
  * debhelper 4 compatible (in _both_ rules files!)
    (thanks Moritz Muehlenhoff)
  * reflects policy 3.6.2 (thanks Moritz Muehlenhoff)
  * non package-specific changes to changelog rather than debian/changelog

 -- Jon Dowland <jon@dowland.name>  Sat,  5 Nov 2005 16:48:16 +0000

doom-data (6) unstable; urgency=low

  * remove fakeroot dependency (not needed for now)
  * manpage,control file: remove reference to floppy disks (we don't handle
    them yet)
  * control file: acknowledge that we generate a .deb for the IWAD
  * make-wad-package: update usage instructions to reflect new name

 -- Jon Dowland <jon@dowland.name>  Sun, 16 Oct 2005 22:00:22 +0100

doom-data (5) unstable; urgency=low

  * quote arguments, for filenames with spaces
  * fix echo command to honour escape characters
  * renamed `doom-data' binary to `make-wad-package'
  * added a manpage for make-wad-package

 -- Jon Dowland <jon@dowland.name>  Wed, 12 Oct 2005 20:42:36 +0100

doom-data (4) unstable; urgency=low

  * move away from using debconf and postinst stages for installing
    the IWAD data

 -- Jon Dowland <jon@dowland.name>  Thu,  6 Oct 2005 20:06:23 +0100

doom-data (3) unstable; urgency=low

  * Minor spelling correction in postinst

 -- Jon Dowland <jon@dowland.name>  Tue,  4 Oct 2005 17:37:00 +0100

doom-data (2) unstable; urgency=low

  * Provides: doom-wad, so that it can be used to install a doom engine

 -- Jon Dowland <jon@dowland.name>  Tue,  4 Oct 2005 17:20:53 +0100

doom-data (1) unstable; urgency=low

  * Initial package, heavily influenced by quake2-data

 -- Jon Dowland <jon@dowland.name>  Thu, 29 Sep 2005 19:19:21 +0100

## game-data-packager 19

=== Makefile ===
VERSION := $(shell dpkg-parsechangelog | grep ^Version | cut -d' ' -f2-)

default:
	make -f doom-common.mk IWAD=doom  LONG="Doom"   VERSION=$(VERSION)
	make -f doom-common.mk IWAD=doom2 \
		LONG="Doom 2: Hell on Earth" VERSION=$(VERSION)
	make -f doom-common.mk IWAD=tnt   \
		LONG="Final Doom: TNT: Evilution" VERSION=$(VERSION)
	make -f doom-common.mk IWAD=plutonia \
		LONG="Final Doom: The Plutonia Experiment" VERSION=$(VERSION)

clean:
	make -f doom-common.mk IWAD=doom  LONG="Doom"   VERSION=$(VERSION) clean
	make -f doom-common.mk IWAD=doom2 \
		LONG="Doom 2: Hell on Earth" VERSION=$(VERSION) clean
	make -f doom-common.mk IWAD=tnt   \
		LONG="Final Doom: TNT: Evilution" VERSION=$(VERSION) clean
	make -f doom-common.mk IWAD=plutonia \
		LONG="Final Doom: The Plutonia Experiment" VERSION=$(VERSION) clean

.PHONY: default clean

=== debian/changelog ===
game-data-packager (19) unstable; urgency=medium

  [ Gonéri Le Bouder ]
  * fix bashism, thanks Andres Mejia (Closes: #501173)  
  * urgency to medium since it's a release goal

 -- Jon Dowland <jon@alcopop.org>  Sun, 11 Jan 2009 17:17:42 +0100

=== debian/control ===
Source: game-data-packager
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Jon Dowland <jon@alcopop.org>
Build-Depends: debhelper (>> 4.0.0), fakeroot, m4
DM-Upload-Allowed: yes
Standards-Version: 3.8.0
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/game-data-packager/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/game-data-packager/?op=log

Package: game-data-packager
Depends: fakeroot, sudo
Conflicts: doom-package
Replaces: doom-package
Provides: doom-package
Architecture: all
Description: Installer for game data files
 Various games are divided into two logical parts: engine
 and data. Often the engine and data are licenced in
 different ways, such that only one half can be distributed
 in Debian.
 .
 game-data-packager is a tool which builds .deb files for game
 data which cannot be distributed in Debian (such as
 commercial game data).
 .
 At the moment, game-data-packager has support for building debs
 for Doom games (Doom, Doom 2 and Final Doom).

=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1
VERSION := $(shell dpkg-parsechangelog | grep ^Version | cut -d' ' -f2-)

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE) VERSION=$(VERSION)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean VERSION=$(VERSION)
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -XTODO
	dh_installmenu
	dh_installman game-data-packager.6
	dh_installchangelogs
	dh_install
	dh_compress
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## game-data-packager 21

=== debian/changelog ===
game-data-packager (21) unstable; urgency=low

  * Upload to unstable.

 -- Jon Dowland <jon@alcopop.org>  Sun, 15 Mar 2009 19:25:38 +0000

game-data-packager (20) experimental; urgency=low

  * Remove debconf remnant. Closes: #500951. Thanks Frédéric Brière.
  * Remove useless menu. Closes: #500948. Thanks Frédéric Brière.
  * Update debhelper Build-Depends:. Closes: #500947. Thanks Frédéric Brière.

 -- Jon Dowland <jon@alcopop.org>  Sun, 18 Jan 2009 17:30:20 +0000

game-data-packager (19) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * fix bashism, thanks Andres Mejia (Closes: #501173)  

 -- Jon Dowland <jon@alcopop.org>  Sun, 11 Jan 2009 17:17:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Jon Dowland <jon@alcopop.org>
-Build-Depends: debhelper (>> 4.0.0), fakeroot, m4
+Build-Depends: debhelper (>> 7.0.0), fakeroot, m4
 DM-Upload-Allowed: yes
 Standards-Version: 3.8.0
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/game-data-packager/

## game-data-packager 22

=== debian/changelog ===
game-data-packager (22) unstable; urgency=low

  * don't mask non-zero exit status of dpkg-deb.
    Thanks Frédéric Brière. Closes: #532817.
  * shift '--' off the argument stack when encountered.
    Thanks Frédéric Brière. Closes: #532812.
  * Update my e-mail address in control.
  * dh_prep -> dh_clean (debhelper 7 changes)
  * bump standards version.
  * removing doom2.wad alternatives transition:
    + don't bother registering alternatives anymore, install
      IWADs direct to /usr/share/games/doom
    + remove older alternatives in preinst upgrade
    + doom packages built with g-d-p now conflict with
      freedoom/freedm < 0.6.4-4 (the version where freedoom
      transitioned away from alternatives)

 -- Jon Dowland <jmtd@debian.org>  Sat, 11 Jul 2009 13:06:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: contrib/games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Jon Dowland <jon@alcopop.org>
+Uploaders: Jon Dowland <jmtd@debian.org>
 Build-Depends: debhelper (>> 7.0.0), fakeroot, m4
 DM-Upload-Allowed: yes
-Standards-Version: 3.8.0
+Standards-Version: 3.8.2
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/game-data-packager/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/game-data-packager/?op=log

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 binary-arch: build install

## game-data-packager 29

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 VERSION := $(shell dpkg-parsechangelog | grep ^Version | cut -d' ' -f2-)
+DIRS := ./out ./build
+LDLIBS = -ldynamite
 
-default:
+default: $(DIRS)
 	make -f doom-common.mk IWAD=doom  LONG="Doom"   VERSION=$(VERSION)
 	make -f doom-common.mk IWAD=doom2 \
 		LONG="Doom 2: Hell on Earth" VERSION=$(VERSION)
@@ -8,6 +10,23 @@
 		LONG="Final Doom: TNT: Evilution" VERSION=$(VERSION)
 	make -f doom-common.mk IWAD=plutonia \
 		LONG="Final Doom: The Plutonia Experiment" VERSION=$(VERSION)
+	make -f doom-common.mk IWAD=heretic VERSION=$(VERSION) \
+		CONTROLIN=heretic/DEBIAN/control.in \
+		LONG="Heretic: Shadow of the Serpent Riders" GAME=heretic
+	make -f quake.mk LONG="Quake" VERSION=$(VERSION) PACKAGE=quake-registered \
+		FOLDER=id1
+	make -f quake.mk LONG="Quake shareware" VERSION=$(VERSION) \
+		PACKAGE=quake-shareware FOLDER=id1
+	make -f quake.mk LONG="Quake mission pack 1: Scourge of Armagon" \
+		VERSION=$(VERSION) PACKAGE=quake-armagon FOLDER=hipnotic
+	make -f quake.mk LONG="Quake mission pack 2: Dissolution of Eternity" \
+		VERSION=$(VERSION) PACKAGE=quake-dissolution FOLDER=rogue
+	make -f quake3.mk LONG="Quake III Arena" VERSION=$(VERSION)
+	make -f rott.mk VERSION=$(VERSION)
+	make -f wolf3d.mk VERSION=$(VERSION)
+
+$(DIRS):
+	mkdir -p $@
 
 clean:
 	make -f doom-common.mk IWAD=doom  LONG="Doom"   VERSION=$(VERSION) clean
@@ -17,5 +36,23 @@
 		LONG="Final Doom: TNT: Evilution" VERSION=$(VERSION) clean
 	make -f doom-common.mk IWAD=plutonia \
 		LONG="Final Doom: The Plutonia Experiment" VERSION=$(VERSION) clean
+	make -f doom-common.mk IWAD=heretic VERSION=$(VERSION) \
+		CONTROLIN=heretic/DEBIAN/control.in \
+		LONG="Heretic: Shadow of the Serpent Riders" GAME=heretic clean
+	make -f quake.mk LONG="Quake" VERSION=$(VERSION) PACKAGE=quake-registered \
+		FOLDER=id1 clean
+	make -f quake.mk LONG="Quake shareware" VERSION=$(VERSION) \
+		PACKAGE=quake-shareware FOLDER=id1 clean
+	make -f quake.mk LONG="Quake mission pack 1: Scourge of Armagon" \
+		VERSION=$(VERSION) PACKAGE=quake-armagon FOLDER=hipnotic clean
+	make -f quake.mk LONG="Quake mission pack 2: Dissolution of Eternity" \
+		VERSION=$(VERSION) PACKAGE=quake-dissolution FOLDER=rogue clean
+	make -f quake3.mk LONG="Quake III Arena" VERSION=$(VERSION) clean
+	make -f rott.mk VERSION=$(VERSION) clean
+	make -f wolf3d.mk VERSION=$(VERSION) clean
+	for d in $(DIRS); do [ ! -d "$$d" ]  || rmdir "$$d"; done
 
-.PHONY: default clean
+check:
+	./t/verify-md5sum-alternatives.sh
+
+.PHONY: default clean check

=== debian/changelog ===
game-data-packager (29) unstable; urgency=low

  [ Simon McVittie ]
  * Allow Quake mission packs to have any of several known md5sums
    - add new function verify_md5sum_alternatives, and a regression test
  * Allow Quake 1.01 CDs' LHA archives to contain upper-case filenames
    (jlha seems to produce upper-case from my CD)
  * Add a dummy shell script to each of quake-armagon and quake-dissolution,
    which the corresponding .desktop files can use as their TryExec field
    to hide uninstalled mission packs

  [ Jon Dowland ]
  * remove any ./*deb files in clean.  They might be left behind if one
    was created in a branch, and someone switches branches before running
    clean.

 -- Jon Dowland <jmtd@debian.org>  Thu, 14 Jul 2011 14:37:26 +0100

game-data-packager (28) unstable; urgency=low

  * correct spelling of "Stephen" in the changelog. Sorry, Stephen!

 -- Jon Dowland <jmtd@debian.org>  Sat, 30 Apr 2011 20:04:10 +0100

game-data-packager (27) unstable; urgency=low

  [ Stephen Kitt ]
  * Add support for Quake mission packs (Scourge of Armagon and
    Dissolution of Eternity).

  [ Jon Dowland ]
  * Add wolf3d support, Limited to shareware data. Closes: #610388.

 -- Jon Dowland <jmtd@debian.org>  Sat, 30 Apr 2011 19:39:08 +0100

game-data-packager (26) unstable; urgency=low

  * Add Heretic support.
  * Add Quake support.

 -- Jon Dowland <jmtd@debian.org>  Thu, 07 Apr 2011 22:32:22 +0100

game-data-packager (25) unstable; urgency=low

  [ Jon Dowland ]
  * Improve documentation

  [ Simon McVittie ]
  * Upload to unstable/contrib, so we can put quake3 there too

 -- Simon McVittie <smcv@debian.org>  Wed, 16 Mar 2011 15:50:36 +0000

game-data-packager (24) experimental; urgency=low

  * add Homepage: to control file
  * Add Rise of the Triad support

 -- Jon Dowland <jmtd@debian.org>  Mon, 17 Jan 2011 00:04:01 +0000

game-data-packager (23) experimental; urgency=low

  [ Jon Dowland ]
  * Update VCS control fields to reflect moving the packaging to git.
  * bump standards version.

  [ Paul Wise ]
  * Drop empty menu file (Closes: #573458)

  [ Simon McVittie ]
  * Merge support for collecting Quake III Arena pk3 files into
    quake3-data_*_all.deb, based on Jon's earlier code
  * Add myself to Uploaders

 -- Simon McVittie <smcv@debian.org>  Fri, 22 Oct 2010 20:57:40 +0100

=== debian/control ===
Source: game-data-packager
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Jon Dowland <jmtd@debian.org>, Simon McVittie <smcv@debian.org>
Build-Depends: debhelper (>> 7.0.0), fakeroot, m4, libdynamite-dev
DM-Upload-Allowed: yes
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-games/game-data-packager
Vcs-Browser: http://git.debian.org/?p=pkg-games/game-data-packager.git
Homepage: http://wiki.debian.org/Games/GameDataPackager

Package: game-data-packager
Depends: fakeroot, unzip | p7zip-full, ${misc:Depends}, ${shlib:Depends},
 dynamite (>= 0.1.1-2)
Suggests: jlha-utils | lha
Conflicts: doom-package
Replaces: doom-package
Provides: doom-package
Architecture: all
Description: Installer for game data files
 Various games are divided into two logical parts: engine
 and data. Often the engine and data are licenced in
 different ways, such that only one half can be distributed
 in Debian.
 .
 game-data-packager is a tool which builds .deb files for game
 data which cannot be distributed in Debian (such as
 commercial game data).
 .
 At the moment, game-data-packager has support for building debs
 for Doom games (Doom, Doom 2 and Final Doom); Quake;
 Quake III Arena; Heretic and Rise of the Triad.

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 	rm -f build-stamp configure-stamp
 	$(MAKE) clean VERSION=$(VERSION)
 	dh_clean
+	rm -f *.deb
 
 install: build
 	dh_testdir
@@ -34,7 +35,6 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs -XTODO
-	dh_installmenu
 	dh_installman game-data-packager.6
 	dh_installchangelogs
 	dh_install

## game-data-packager 30

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,10 @@
 		LONG="Final Doom: The Plutonia Experiment" VERSION=$(VERSION)
 	make -f doom-common.mk IWAD=heretic VERSION=$(VERSION) \
 		CONTROLIN=heretic/DEBIAN/control.in \
-		LONG="Heretic: Shadow of the Serpent Riders" GAME=heretic
+		LONG="Heretic: Shadow of the Serpent Riders"
+	make -f doom-common.mk IWAD=hexen VERSION=$(VERSION) \
+		CONTROLIN=hexen/DEBIAN/control.in \
+		LONG="Hexen: Beyond Heretic"
 	make -f quake.mk LONG="Quake" VERSION=$(VERSION) PACKAGE=quake-registered \
 		FOLDER=id1
 	make -f quake.mk LONG="Quake shareware" VERSION=$(VERSION) \
@@ -38,7 +41,10 @@
 		LONG="Final Doom: The Plutonia Experiment" VERSION=$(VERSION) clean
 	make -f doom-common.mk IWAD=heretic VERSION=$(VERSION) \
 		CONTROLIN=heretic/DEBIAN/control.in \
-		LONG="Heretic: Shadow of the Serpent Riders" GAME=heretic clean
+		LONG="Heretic: Shadow of the Serpent Riders" clean
+	make -f doom-common.mk IWAD=hexen VERSION=$(VERSION) \
+		CONTROLIN=hexen/DEBIAN/control.in \
+		LONG="Hexen: Beyond Heretic" clean
 	make -f quake.mk LONG="Quake" VERSION=$(VERSION) PACKAGE=quake-registered \
 		FOLDER=id1 clean
 	make -f quake.mk LONG="Quake shareware" VERSION=$(VERSION) \

=== debian/changelog ===
game-data-packager (30) unstable; urgency=low

  * Add support for ID Anthology's Final Doom (different
    sums).  Thanks to Simon Howard.
  * Remove myself from uploaders.
  * Fixed 'clean' target in Makefile
  * Thanks to Joey Schmit:
    * Rewrote debian/rules to use new style debhelper
    * Bump standards version.
    * Update debhelper Build-Depends
    * Changed GAME for Heretic to 'doom' (Closes: #640372)
    * Add Hexen support
  * Support using 'lhasa' as an lha implementation.

 -- Jon Dowland <jmtd@debian.org>  Tue, 19 Jun 2012 08:59:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: contrib/games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Jon Dowland <jmtd@debian.org>, Simon McVittie <smcv@debian.org>
-Build-Depends: debhelper (>> 7.0.0), fakeroot, m4, libdynamite-dev
+Uploaders: Simon McVittie <smcv@debian.org>
+Build-Depends: debhelper (>= 8.0.0), fakeroot, m4, libdynamite-dev
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-games/game-data-packager
 Vcs-Browser: http://git.debian.org/?p=pkg-games/game-data-packager.git
 Homepage: http://wiki.debian.org/Games/GameDataPackager
@@ -13,7 +13,7 @@
 Package: game-data-packager
 Depends: fakeroot, unzip | p7zip-full, ${misc:Depends}, ${shlib:Depends},
  dynamite (>= 0.1.1-2)
-Suggests: jlha-utils | lha
+Suggests: lhasa | jlha-utils | lhz-archiver
 Conflicts: doom-package
 Replaces: doom-package
 Provides: doom-package
@@ -30,4 +30,4 @@
  .
  At the moment, game-data-packager has support for building debs
  for Doom games (Doom, Doom 2 and Final Doom); Quake;
- Quake III Arena; Heretic and Rise of the Triad.
+ Quake III Arena; Heretic; Rise of the Triad and Wolfenstein 3D.

=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1
export DH_OPTIONS

%:
	dh $@

VERSION := $(shell dpkg-parsechangelog | grep ^Version | cut -d' ' -f2-)

override_dh_auto_build:
	$(MAKE) VERSION=$(VERSION)

override_dh_auto_clean:
	$(MAKE) clean VERSION=$(VERSION)
	#rm -f *.deb

override_dh_installdocs:
	dh_installdocs -XTODO

## game-data-packager 33

=== Makefile ===
--- 
+++ 
@@ -25,11 +25,16 @@
 	make -f quake.mk LONG="Quake mission pack 2: Dissolution of Eternity" \
 		VERSION=$(VERSION) PACKAGE=quake-dissolution FOLDER=rogue
 	make -f quake3.mk LONG="Quake III Arena" VERSION=$(VERSION)
+	make -f hexen2.mk VERSION=$(VERSION)
 	make -f rott.mk VERSION=$(VERSION)
 	make -f wolf3d.mk VERSION=$(VERSION)
+	make -f lgeneral.mk LONG="LGeneral" VERSION=$(VERSION)
 
 $(DIRS):
 	mkdir -p $@
+
+tests/empty.deb:
+	dpkg-deb -b tests/empty tests/empty.deb
 
 clean:
 	make -f doom-common.mk IWAD=doom  LONG="Doom"   VERSION=$(VERSION) clean
@@ -53,9 +58,11 @@
 		VERSION=$(VERSION) PACKAGE=quake-armagon FOLDER=hipnotic clean
 	make -f quake.mk LONG="Quake mission pack 2: Dissolution of Eternity" \
 		VERSION=$(VERSION) PACKAGE=quake-dissolution FOLDER=rogue clean
+	make -f hexen2.mk VERSION=$(VERSION) clean
 	make -f quake3.mk LONG="Quake III Arena" VERSION=$(VERSION) clean
 	make -f rott.mk VERSION=$(VERSION) clean
 	make -f wolf3d.mk VERSION=$(VERSION) clean
+	make -f lgeneral.mk LONG="LGeneral" VERSION=$(VERSION) clean
 	for d in $(DIRS); do [ ! -d "$$d" ]  || rmdir "$$d"; done
 
 check:

=== debian/changelog ===
game-data-packager (33) unstable; urgency=low

  [ Jonathan Dowland ]
  * Remove deprecated dm-upload-allowed field from control file.
  * add doc/why.mdwn: why add your game/thing to game-data-packager?
  * new support for lgeneral. Closes: #693930.

  [ Fabian Greffrath ]
  * Correctly substitute the LONG name in debian/control
    for the Doom games family.

 -- Jonathan Dowland <jmtd@debian.org>  Wed, 22 May 2013 17:03:19 +0100

game-data-packager (32) experimental; urgency=low

  * hexen2: don't install strings.txt, progs.dat or progs2.dat;
    they're carried by the uhexen2 package. Thanks Gustavo Panizzo.

 -- Jon Dowland <jmtd@debian.org>  Wed, 26 Sep 2012 22:04:45 +0100

game-data-packager (31) experimental; urgency=low

  * Initial Hexen 2 support.
  * An initial regression test suite in the source.
  * Fixup 'slipstream' and adjust callers in Doom, Quake and
    Quake 3.
  * Some Quake tweaks to make e.g. building a 1.01 package from
    a directory or a 1.06 shareware package possible.
  * Re-Add myself to uploaders.
  * Bump standards version.

 -- Jon Dowland <jmtd@debian.org>  Tue, 11 Sep 2012 22:00:44 +0100

=== debian/control ===
Source: game-data-packager
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Simon McVittie <smcv@debian.org>, Jonathan Dowland <jmtd@debian.org>
Build-Depends: debhelper (>= 8.0.0), fakeroot, m4, libdynamite-dev
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/pkg-games/game-data-packager
Vcs-Browser: http://git.debian.org/?p=pkg-games/game-data-packager.git
Homepage: http://wiki.debian.org/Games/GameDataPackager

Package: game-data-packager
Depends: fakeroot, unzip | p7zip-full, ${misc:Depends}, ${shlib:Depends},
 dynamite (>= 0.1.1-2)
Suggests: lhasa | jlha-utils | lhz-archiver, lgc-pg
Conflicts: doom-package
Replaces: doom-package
Provides: doom-package
Architecture: all
Description: Installer for game data files
 Various games are divided into two logical parts: engine
 and data. Often the engine and data are licensed in
 different ways, such that only one half can be distributed
 in Debian.
 .
 game-data-packager is a tool which builds .deb files for game
 data which cannot be distributed in Debian (such as
 commercial game data).
 .
 At the moment, game-data-packager has support for building .deb
 files for Doom games (Doom, Doom 2 and Final Doom); LGeneral;
 Heretic; Hexen; Hexen 2; Rise of the Triad; Quake; Quake III Arena
 and Wolfenstein 3D.

## game-data-packager 37

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,8 @@
 LDLIBS = -ldynamite
 
 default: $(DIRS)
+	gzip -c9 debian/changelog > ./out/changelog.gz
+	chmod 0644 ./out/changelog.gz
 	make -f doom-common.mk IWAD=doom  LONG="Doom"   VERSION=$(VERSION)
 	make -f doom-common.mk IWAD=doom2 \
 		LONG="Doom 2: Hell on Earth" VERSION=$(VERSION)
@@ -18,12 +20,23 @@
 		LONG="Hexen: Beyond Heretic"
 	make -f quake.mk LONG="Quake" VERSION=$(VERSION) PACKAGE=quake-registered \
 		FOLDER=id1
+	make -f quake.mk LONG="Quake music" VERSION=$(VERSION) \
+		PACKAGE=quake-music FOLDER=id1
 	make -f quake.mk LONG="Quake shareware" VERSION=$(VERSION) \
 		PACKAGE=quake-shareware FOLDER=id1
 	make -f quake.mk LONG="Quake mission pack 1: Scourge of Armagon" \
 		VERSION=$(VERSION) PACKAGE=quake-armagon FOLDER=hipnotic
+	make -f quake.mk LONG="Quake MP1 music" VERSION=$(VERSION) \
+		PACKAGE=quake-armagon-music FOLDER=hipnotic
 	make -f quake.mk LONG="Quake mission pack 2: Dissolution of Eternity" \
 		VERSION=$(VERSION) PACKAGE=quake-dissolution FOLDER=rogue
+	make -f quake.mk LONG="Quake MP2 music" VERSION=$(VERSION) \
+		PACKAGE=quake-dissolution-music FOLDER=rogue
+	make -f quake2.mk VERSION=$(VERSION) PACKAGE=quake2-demo-data
+	make -f quake2.mk VERSION=$(VERSION) PACKAGE=quake2-full-data
+	make -f quake2.mk VERSION=$(VERSION) PACKAGE=quake2-music
+	make -f quake2.mk VERSION=$(VERSION) PACKAGE=quake2-xatrix
+	make -f quake2.mk VERSION=$(VERSION) PACKAGE=quake2-rogue
 	make -f quake3.mk LONG="Quake III Arena" VERSION=$(VERSION)
 	make -f hexen2.mk VERSION=$(VERSION)
 	make -f rott.mk VERSION=$(VERSION)
@@ -37,6 +50,7 @@
 	dpkg-deb -b tests/empty tests/empty.deb
 
 clean:
+	rm -f ./out/changelog.gz
 	make -f doom-common.mk IWAD=doom  LONG="Doom"   VERSION=$(VERSION) clean
 	make -f doom-common.mk IWAD=doom2 \
 		LONG="Doom 2: Hell on Earth" VERSION=$(VERSION) clean
@@ -52,12 +66,23 @@
 		LONG="Hexen: Beyond Heretic" clean
 	make -f quake.mk LONG="Quake" VERSION=$(VERSION) PACKAGE=quake-registered \
 		FOLDER=id1 clean
+	make -f quake.mk LONG="Quake music" VERSION=$(VERSION) \
+		PACKAGE=quake-music FOLDER=id1 clean
 	make -f quake.mk LONG="Quake shareware" VERSION=$(VERSION) \
 		PACKAGE=quake-shareware FOLDER=id1 clean
 	make -f quake.mk LONG="Quake mission pack 1: Scourge of Armagon" \
 		VERSION=$(VERSION) PACKAGE=quake-armagon FOLDER=hipnotic clean
+	make -f quake.mk LONG="Quake MP1 music" VERSION=$(VERSION) \
+		PACKAGE=quake-armagon-music FOLDER=hipnotic clean
 	make -f quake.mk LONG="Quake mission pack 2: Dissolution of Eternity" \
 		VERSION=$(VERSION) PACKAGE=quake-dissolution FOLDER=rogue clean
+	make -f quake.mk LONG="Quake MP2 music" VERSION=$(VERSION) \
+		PACKAGE=quake-dissolution-music FOLDER=rogue clean
+	make -f quake2.mk VERSION=$(VERSION) PACKAGE=quake2-demo-data clean
+	make -f quake2.mk VERSION=$(VERSION) PACKAGE=quake2-full-data clean
+	make -f quake2.mk VERSION=$(VERSION) PACKAGE=quake2-music clean
+	make -f quake2.mk VERSION=$(VERSION) PACKAGE=quake2-xatrix clean
+	make -f quake2.mk VERSION=$(VERSION) PACKAGE=quake2-rogue clean
 	make -f hexen2.mk VERSION=$(VERSION) clean
 	make -f quake3.mk LONG="Quake III Arena" VERSION=$(VERSION) clean
 	make -f rott.mk VERSION=$(VERSION) clean

=== debian/changelog ===
game-data-packager (37) unstable; urgency=low

  * q2rogue, q2xatrix: Correctly remove source tarballs when
    cleaning up.
  * Remove some stray placeholder targets that got into the last
    upload by accident.
  * Upload to unstable.

 -- Jonathan Dowland <jmtd@debian.org>  Mon, 18 Nov 2013 21:20:50 +0000

game-data-packager (36) experimental; urgency=low

  * Add support for Quake 2 Mission Pack: The Reckoning and
    Quake 2 Mission Pack: Ground Zero.
  * Tweak long description a bit.

 -- Jonathan Dowland <jmtd@debian.org>  Wed, 23 Oct 2013 21:43:17 +0100

game-data-packager (35) unstable; urgency=low

  * Stop conflict/providing/replacing "doom-package": the old one
    is pre-oldstable now.
  * fix test_slipstream
  * document why we suggest/recommend various packages (which targets
    they are for)
  * Mention quake mission pack support in the quake long-name
  * mention the compress/nocompress options in --help
  * start tracking our TODOs
  * fix a bug with hexen2 and paths

 -- Jonathan Dowland <jmtd@debian.org>  Sun, 13 Oct 2013 22:17:02 +0100

game-data-packager (34) experimental; urgency=low

  [ Fabian Greffrath ]
  * Reset grep options that could affect output.
  * Only parse dpkg-parsechangelog in g-d-p's own source directory.
  * Make the generated package file name better double-click-selectable [tm].
  * Force lower case for *.wad files in doom-common.
  * In quake, link pak[01].pak to absolute paths.

  [ Stephen Kitt ]
  * quake: Fix ifind usage in guess_method in cases where the file is absent

  [ Simon McVittie ]
  * Canonicalize Vcs-Git, Vcs-Browser
  * Add a check that we don't try to build a source package containing *.deb
  * slipstream_dir: cope with files whose names contain spaces
  * Add support for not compressing the .deb, and by default don't compress
    it if we're just going to install and delete it (this is much faster)
  * Add support for auto-downloading the Quake 1 1.06 shareware zip file,
    either for quake-shareware or as a way to upgrade quake-registered
    to version 1.06 (pak0.pak is identical in either case)
  * Add support for packaging Quake 1 music from the CD audio tracks,
    based on patches by Stephen Kitt
  * Add support for Quake II (demo and full version) data
  * Add support for packaging Quake II music from the CD audio tracks
  * Add support for auto-downloading the Quake III Arena patch
  * Ensure that LIBDIR, DATADIR are absolute
  * Upload to experimental

 -- Simon McVittie <smcv@debian.org>  Sun, 29 Sep 2013 14:51:01 +0100

=== debian/control ===
Source: game-data-packager
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Simon McVittie <smcv@debian.org>, Jonathan Dowland <jmtd@debian.org>
Build-Depends: debhelper (>= 8.0.0), fakeroot, m4, libdynamite-dev
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-games/game-data-packager
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/game-data-packager.git
Homepage: http://wiki.debian.org/Games/GameDataPackager

Package: game-data-packager
Depends: fakeroot, ${misc:Depends}, ${shlib:Depends},
# for quake, quake2, rott, wolf3d
	unzip | p7zip-full,
# for wolf3d
	dynamite (>= 0.1.1-2)
Suggests:
# for quake music and quake2 music
	cdparanoia, vorbis-tools,
# for quake CD-ROM methods
	lhasa | jlha-utils | lhz-archiver,
# for quake2 mission packs
	binutils, make, gcc,
# for lgeneral
	lgc-pg
Architecture: all
Description: Installer for game data files
 Various games are divided into two logical parts: engine
 and data. Often the engine and data are licensed in
 different ways, such that only one half can be distributed
 in Debian.
 .
 game-data-packager is a tool which builds .deb files for game
 data which cannot be distributed in Debian (such as
 commercial game data).
 .
 At the moment, game-data-packager has support for building .deb
 files for Doom games (Doom, Doom II and Final Doom); LGeneral;
 Heretic; Hexen; Hexen II; Rise of the Triad; Quake; Quake II;
 Quake III Arena and Wolfenstein 3D.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,15 @@
 
 override_dh_auto_clean:
 	$(MAKE) clean VERSION=$(VERSION)
-	#rm -f *.deb
+	@if [ "`echo *.deb`" != "*.deb" ]; then \
+		echo; \
+		echo "*************************************************"; \
+		echo "Cannot create source package with these here:"; \
+		ls *.deb; \
+		echo "*************************************************"; \
+		echo; \
+		exit 1; \
+	fi
 
 override_dh_installdocs:
 	dh_installdocs -XTODO

## game-data-packager 42

=== Makefile ===
VERSION := $(shell dpkg-parsechangelog | grep ^Version | cut -d' ' -f2-)
DIRS := ./out
GDP_MIRROR ?= localhost

# some cherry picked games that:
# - are freely downloadable (either demo or full version)
# - test various codepaths:
#   - alternatives
#   - archive recursion (zip in zip)
#   - lha
#   - id-shr-extract
#   - doom_commo.py plugin
# - are not too big
TEST_SUITE += rott spear-of-destiny wolf3d heretic

png       := $(patsubst ./data/%.xpm,./out/%.png,$(wildcard ./data/*.xpm))
png       += $(patsubst ./data/%.svg,./out/%.png,$(wildcard ./data/*.svg))
png       += out/memento-mori.png
svgz      := $(patsubst ./data/%.svg,./out/%.svgz,$(filter-out ./data/memento-mori-2.svg,$(wildcard ./data/*.svg)))
in_yaml   := $(wildcard ./data/*.yaml)
json      := $(patsubst ./data/%.yaml,./out/%.json,$(in_yaml))
copyright := $(patsubst ./data/%,./out/%,$(wildcard ./data/*.copyright))
dot_in    := $(patsubst ./data/%,./out/%,$(wildcard ./data/*.in))

default: $(DIRS) $(png) $(svgz) $(json) $(copyright) $(dot_in) \
      out/bash_completion out/changelog.gz out/copyright out/game-data-packager

out/%: data/%
	if [ -L $< ]; then cp -a $< $@ ; else install -m644 $< $@ ; fi

out/%.json: data/%.yaml
	python3 tools/yaml2json.py $< > $@.tmp
	mv $@.tmp $@

out/bash_completion: $(in_yaml)
	python3 tools/bash_completion.py > ./out/bash_completion
	chmod 0644 ./out/bash_completion

out/changelog.gz: debian/changelog
	gzip -nc9 debian/changelog > ./out/changelog.gz
	chmod 0644 ./out/changelog.gz

out/game-data-packager: run
	install run out/game-data-packager

out/%.svg: data/%.svg
	inkscape --export-plain-svg=$@ $<

out/memento-mori.svg: data/memento-mori-2.svg
	inkscape --export-plain-svg=$@ --export-id=layer1 --export-id-only $<

out/memento-mori.png: out/memento-mori.svg
	inkscape --export-png=$@ -w96 -h96 $<

out/%.png: data/%.xpm
	convert $< $@

out/%.png: data/%.svg
	inkscape --export-png=$@ -w96 -h96 $<

out/%.svgz: out/%.svg
	gzip -nc $< > $@

$(DIRS):
	mkdir -p $@

clean:
	rm -f ./out/bash_completion
	rm -f ./out/changelog.gz
	rm -f ./out/copyright
	rm -f ./out/game-data-packager
	rm -f ./out/*.control.in
	rm -f ./out/*.copyright
	rm -f ./out/*.copyright.in
	rm -f ./out/*.desktop.in
	rm -f ./out/*.preinst.in
	rm -f ./out/*.png
	rm -f ./out/*.svgz
	rm -f ./out/*.svg
	rm -f ./out/*.json
	rm -rf game_data_packager/__pycache__
	for d in $(DIRS); do [ ! -d "$$d" ]  || rmdir "$$d"; done

check:
	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. python3 tools/check_syntax.py
	LC_ALL=C pyflakes3 game_data_packager/*.py game_data_packager/*/*.py runtime/*.py tools/*.py || :

# Requires additional setup, so not part of "make check"
manual-check:
	install -d tmp/
	for game in $(TEST_SUITE); do \
	        GDP_MIRROR=$(GDP_MIRROR) GDP_UNINSTALLED=1 PYTHONPATH=. \
		python3 -m game_data_packager -d ./tmp --no-search --no-compress $$game || exit $$?; \
	done
	rm -fr tmp/

.PHONY: default clean check manual-check

=== debian/changelog ===
game-data-packager (42) unstable; urgency=medium

  [ Alexandre Detiste ]
  * add support for many ScummVM games:
    - The 7th Guest
    - The Dig
    - Dračí Historie GPL'ed game (Closes: #783914)
    - Elvira 1 and 2
    - Gobliiins 1 to 3
    - Indiana Jones and the Fate of Atlantis
      (en/de/fr/es/it languages, most CD & floppy versions)
    - Inherit the Earth
    - King's Quest 1 to 6
    - Legend of Kyrandia 1 to 3
    - Leisure Suit Larry 1, 2, 3, 5 and 6
    - Loom
    - Police Quest 2 and 3
    - Quest for Glory 1, 2 & 3
    - Sam & Max Hit the Road
    - Simon the Sorcerer 1 and 2
    - Space Quest 1 to 5
    - TeenAgent (Closes: #783921)
    - Waxworks
    - Zak McKracken and the Alien Mindbenders
    - Zork series: Return to Zork, Zork Nemesis, Zork Grand Inquisitor
  * replace non-ASCII characters with closest ASCII character
    when displaying help screen with LANG=C (Closes: #784330)
  * Heroes 3: don't package HiScore.dat (Closes: #784995)
  * add support for Compet-N mods for Doom and Doom II (Closes: #776061)
  * only load actually needed YAML files (Closes: #779937)
  * improve 'GDP $game --help' (Closes: #784563)
  * use custom HTTP User-Agent (Closes: #784957)
  * add support for Dune 2
  * add support for Super 3D Noah's Ark (Closes: #788061)

  [ Fabian Greffrath ]
  * provide information about patches needes by various
    Doom-engine games: Chex Quest, TNT, Compet-N

  [ Patrick Bottelberger ]
  * add German version for Day Of The Tentacle,
    Maniac Mansion, Curse of Monkey Island, Grim Fandango
  * remove extraneous files in Doom 3 BFG (Closes: #787510)

  [ Simon McVittie ]
  * Generate debian/copyright from debian/copyright.{in,py}
  * Include full license text for CC-BY-SA-3.0-US
  * Correctly credit Sri Kadimisetty for lantern icon (Zork Inquisitor)
    and theSquid.ink for rocket icon (Space Quest), not the other
    way round
  * Add a SVG version of the lantern icon
  * Sort Build-Depends
  * Include full license text for CC-BY-3.0-US, and distinguish
    between that and the other CC-BY-3.0 flavours
  * Include full license text for CC-BY-3.0-Unported, and
    distinguish between that and the other CC-BY-3.0 flavours
  * debian/copyright: document provenance of Tango-derived PD icons
  * Move the "m" and "II" of the Memento Mori (II) logo SVG into layers
  * Build-depend on Inkscape and use it to generate Memento Mori icons
    with/without the "II" part
  * Do not generate a .svgz icon from memento-mori-2.svg, which uses
    relatively complex SVG features that librsvg cannot render
  * Where SVG icons exist, generate PNGs from those, not XPM icons
  * Where SVG icons exist, strip Inkscape-specific code for the
    installed .svgz version
  * chex.svg: make the icon square
  * blakestone: re-word help
  * Make out/game-data-packager executable
  * ecwolf_common: fix installation of icon
  * Install bash completion to the desired location with dh_install
    instead of using dh_bash-completion (works around #668254, #785271)
  * For games that recently gained multilingual packages, also try repacking
    files from the non-language-specific location
  * hexen2-data Conflicts and Replaces hexen2-demo-data, hopefully this will
    give dpkg a hint that it is the better version
  * freespace2-data Conflicts and Replaces the versions built by scripts
    shipped with fs2-open
  * wolf3d-v*-data Conflicts and Replaces wolf3d-full-data

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Jul 2015 10:48:23 +0100

game-data-packager (41) unstable; urgency=medium

  [ Alexandre Detiste ]
  * fix LGeneral
  * fix Descent 1 Demo download, add assert
  * recommends gargoyle-free | frotz for Z-code text games
  * add new 'doom2-masterlevels' utility,
    a GUI launcher for use with doom2-masterlevels-wad (Closes: #776279)
  * add support for demo of Curse Of Monkey Island & Full Throttle
  * add support for Transport Tycoon Deluxe (Closes: #776543)
  * add support for FreeSpace 2 (Closes: #776542)
  * add support for Arx Fatalis (Closes: #782204)
  * add support for Duke Nukem 3D (full or shareware), for use with eduke32
  * add support for Heroes of Might & Magic III (Closes: #782202)
  * add support for Broken Sword 1
  * add support for Dreamweb (freeware)
  * add support for Sfinx (freeware)
  * add support for Soltys (freeware)
  * add support for Police Quest 1
  * add abbreviated YAML syntax for license files
  * improve support for games with multiple language variants, such as Soltys
    and Broken Sword
  * rename various generated packages to remove unnecessary -full- infix
  * add support for more unpackers: cabextract, unace-nonfree, unrar-nonfree,
    unshield (including multi-part archives), arj (including multi-part
    archives)
  * recurse into arbitrary zip files if given
  * produce progress indicators less frequently to reduce terminal emulator
    load

  [ Simon McVittie ]
  * review & disable non-working Jedi Academy demo
  * adjust Jedi Academy paths for versions >= 0~20150420
  * add Provides/Conflicts/Replaces for renamed packages
  * upload to unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 30 Apr 2015 10:41:15 +0100

game-data-packager (40) experimental; urgency=medium

  [ Alexandre Detiste ]
  * wolf3d: if both v1.0-v1.2 and v1.4 are available, always build v1.4
    - add "better_version" package field to implement this
  * theme-hospital: add support (Closes: #776150); the engine corsix-th
    still needs to be packaged (RFP: #610087)
  * add Descent 1 & 2; demo & full versions (Closes: #775442)
  * add support for Hexen II demo (Closes: #775484)
  * add support for "Doom 2 : No Rest for the Living" (Closes: #776280)
  * add support for the Grim Fandango demo, and ResidualVM games in general
    (Closes: #776545)
  * add support for a rare French version of Doom II
  * add support for Maniac Mansion, English and French versions,
    and ScummVM games in general (Closes: #776544)
  * add support for Day Of the Tentacle


=== debian/control ===
Source: game-data-packager
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Simon McVittie <smcv@debian.org>, Jonathan Dowland <jmtd@debian.org>
Build-Depends:
 bash-completion,
 debhelper (>= 9),
 dh-python,
 fakeroot,
 imagemagick,
 inkscape,
 pyflakes,
 python3,
 python3-debian,
 python3-yaml,
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-games/game-data-packager
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/game-data-packager.git
Homepage: http://wiki.debian.org/Games/GameDataPackager

Package: game-data-packager
Depends: fakeroot, ${misc:Depends},
	python3,
	python3-debian,
	python3-yaml,
	${python3:Depends},
Suggests:
# for quake music and quake2 music
	cdparanoia, vorbis-tools,
# Doom 2 Master Levels, Quake, Spear Of Destiny demo
	lhasa | jlha-utils | lzh-archiver,
# for quake2 mission packs
	binutils, make, gcc,
# for lgeneral
	lgc-pg,
# for wolf3d demo
	dynamite (>= 0.1.1-2),
# for wolf3d v1.2
	unzip,
# gog.com games: Descent 1/2, Theme Hospital
	innoextract,
# for Doom3
	p7zip-full,
# for Jedi Academy (demo), Arx Fatalis
	unshield,
# for Descent 1
	arj,
# for Arx Fatalis
	cabextract,
# for Arx Fatalis
	unace-nonfree,
# for Arx Fatalis
	unrar,
# for I have no mouth and I must scream
        unar,
# for Doom2 Master Levels launcher
	python3-gi,
	gir1.2-gtk-3.0,
	gir1.2-pango-1.0,
Architecture: all
Multi-Arch: foreign
Description: Installer for game data files
 Various games are divided into two logical parts: engine
 and data. Often the engine and data are licensed in
 different ways, such that only one half can be distributed
 in Debian.
 .
 game-data-packager is a tool which builds .deb files for game
 data which cannot be distributed in Debian (such as
 commercial game data).
 .
 At the moment, game-data-packager has support for building .deb
 files for:
 .
  * Arx Fatalis
  * Blake Stone & Planet Strike
  * Broken Sword
  * Chex Quest and Chex Quest 2
  * The Curse of Monkey Island
  * Descent and Descent II
  * The Dig
  * Doom, Doom II, The Master Levels for Doom II, Final Doom
  * Doom III and Doom III BFG Edition
  * Dračí Historie
  * Dreamweb
  * Duke Nukem 3D
  * Dune II: Battle for Arrakis
  * Elvira I & II
  * Freespace 2
  * Full Throttle
  * Gobliiins 1, 2 & 3
  * Grim Fandango
  * Indiana Jones and the Fate of Atlantis
  * Inherit the Earth
  * The Hitchhiker's Guide to the Galaxy
  * HacX
  * Heretic, Hexen and Hexen II
  * Heroes of Might & Magic III
  * King's Quest I, II, III, IV, V & VI
  * Legend of Kyrandiar I, II & III
  * Leisure Suit Larry 1, 2, 3, 5 & 6
  * LGeneral (Panzer General)
  * Maniac Mansion & Day of the Tentacle
  * Police Quest I, II & III
  * Quake, Quake II and Quake III Arena
  * Quest For Glory I, II & III
  * Rise of the Triad
  * Sam & Max Hit the Road
  * Sfinx
  * Simon the Sorcerer I & II
  * Soltys
  * Star Wars Jedi Knight II: Jedi Outcast and Jedi Academy
  * Strife
  * Syndicate
  * Space Quest I, II, III, IV & V
  * Super 3D Noah's Ark
  * Theme Hospital
  * Transport Tycoon Deluxe
  * Tyrian
  * Wolfenstein 3D, Spear of Destiny and Return to Castle Wolfenstein
  * Zork I, II, III, Beyond Zork & Return to Zork
  * Zork Grand Inquisitor & Zork Nemesis

=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1
export DH_OPTIONS

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3,bash-completion

override_dh_auto_build:
	$(MAKE) VERSION=$(DEB_VERSION)

override_dh_auto_clean:
	$(MAKE) clean VERSION=$(DEB_VERSION)
	@if [ "`echo *.deb`" != "*.deb" ]; then \
		echo; \
		echo "*************************************************"; \
		echo "Cannot create source package with these here:"; \
		ls *.deb; \
		echo "*************************************************"; \
		echo; \
		exit 1; \
	fi
	debian/copyright.py

override_dh_install:
	dh_install
	echo 'GAME_PACKAGE_VERSION = """$(DEB_VERSION)"""' > debian/game-data-packager/usr/share/games/game-data-packager/game_data_packager/version.py
	install -D -m755 runtime/doom2-masterlevels.py debian/game-data-packager/usr/games/doom2-masterlevels

override_dh_installdocs:
	dh_installdocs -XTODO
